WebRTC Code Reviews
Help | Chromium Project | Sign in
(11346)

Issue 45189004: Add a BWE fairness test. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 years, 4 months ago by Stefan
Modified:
4 years, 4 months ago
Reviewers:
pbos
CC:
webrtc-reviews_webrtc.org, yujie.mao, ajm, tterriberry, qiang.lu, Niklas, mflodman
Base URL:
https://chromium.googlesource.com/external/webrtc.git@master
Project:
webrtc
Visibility:
Public.

Description

Add a BWE fairness test. Also moves the BWE perf tests to webrtc_perf_tests for tracking. BUG=4548 R=pbos@webrtc.org Committed: https://crrev.com/09bdc1e5f5a932ef4a20957470c088f0dfc145a8 Cr-Commit-Position: refs/heads/master@{#9022}

Patch Set 1 #

Patch Set 2 : . #

Total comments: 2

Patch Set 3 : Comment addressed. #

Patch Set 4 : Rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+107 lines, -38 lines) Patch
M webrtc/modules/modules.gyp View 1 2 3 2 chunks +1 line, -27 lines 0 comments Download
M webrtc/modules/remote_bitrate_estimator/remote_bitrate_estimator.gypi View 1 2 3 1 chunk +35 lines, -0 lines 0 comments Download
M webrtc/modules/remote_bitrate_estimator/remote_bitrate_estimators_test.cc View 1 2 3 6 chunks +63 lines, -6 lines 0 comments Download
M webrtc/modules/remote_bitrate_estimator/test/bwe_test_framework_unittest.cc View 1 2 3 4 chunks +4 lines, -4 lines 0 comments Download
M webrtc/webrtc_tests.gypi View 1 2 2 chunks +4 lines, -1 line 0 comments Download
Trybot results:
Project "webrtc" does not have a commit queue.

Messages

Total messages: 7 (0 generated)
Stefan
4 years, 4 months ago (2015-04-16 15:16:55 UTC) #1
pbos
lgtm https://review.webrtc.org/45189004/diff/20001/webrtc/webrtc_tests.gypi File webrtc/webrtc_tests.gypi (right): https://review.webrtc.org/45189004/diff/20001/webrtc/webrtc_tests.gypi#newcode196 webrtc/webrtc_tests.gypi:196: 'modules/modules.gyp:bwe_simulator', # Needed by remote_bitrate_estimators_test. Do we need ...
4 years, 4 months ago (2015-04-16 15:23:12 UTC) #2
Stefan
https://review.webrtc.org/45189004/diff/20001/webrtc/webrtc_tests.gypi File webrtc/webrtc_tests.gypi (right): https://review.webrtc.org/45189004/diff/20001/webrtc/webrtc_tests.gypi#newcode196 webrtc/webrtc_tests.gypi:196: 'modules/modules.gyp:bwe_simulator', # Needed by remote_bitrate_estimators_test. On 2015/04/16 15:23:12, pbos ...
4 years, 4 months ago (2015-04-16 15:45:29 UTC) #3
Stefan
Committed patchset #4 (id:60001) manually as 09bdc1e5f5a932ef4a20957470c088f0dfc145a8 (presubmit successful).
4 years, 4 months ago (2015-04-16 18:20:47 UTC) #4
commit-bot
Patchset 4 (id:??) landed as https://crrev.com/09bdc1e5f5a932ef4a20957470c088f0dfc145a8 Cr-Commit-Position: refs/heads/master@{#9022}
4 years, 4 months ago (2015-04-16 18:20:49 UTC) #5
kjellander
On 2015/04/16 18:20:49, commit-bot wrote: > Patchset 4 (id:??) landed as > https://crrev.com/09bdc1e5f5a932ef4a20957470c088f0dfc145a8 > Cr-Commit-Position: ...
4 years, 4 months ago (2015-04-20 14:37:00 UTC) #6
Stefan
4 years, 4 months ago (2015-04-20 15:10:08 UTC) #7
Message was sent while issue was closed.
On 2015/04/20 14:37:00, kjellander wrote:
> On 2015/04/16 18:20:49, commit-bot wrote:
> > Patchset 4 (id:??) landed as
> > https://crrev.com/09bdc1e5f5a932ef4a20957470c088f0dfc145a8
> > Cr-Commit-Position: refs/heads/master@{#9022}
> 
> The perf data from this test doesn't meet the expected format and is not
> properly parsed for perf reporting. 
> Example run:
>
http://build.chromium.org/p/client.webrtc/builders/Linux64%20Release%20%5Blar...

Is the problem that we're logging floats? Or what is the proper format?
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 245c2c2-tainted